# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%bcond_with pylirc
%bcond_without pulse

Summary: Simple Video for Linux radio card programs
Name:    fmtools
Version: 2.0.1
Release: alt1_12
License: GPLv2+
Group:   Sound
URL:     http://benpfaff.org/fmtools
Source0: http://benpfaff.org/fmtools/%{name}-%{version}.tar.gz
Source1: fmcontrol.tar.gz
Source2: http://benpfaff.org/fmtools/tkradio
Source3: http://benpfaff.org/fmtools/tkradio-mute
Source4: fmtools.desktop
Source5: radio.png
Source8: radio.gif
Source6: tkradio.py
Source7: fmlircrc
Source44: import.info

%description
This is a pair of hopefully useful control programs for Video for Linux
(v4l2) radio card drivers.  The focus is on control, so you may find these
programs a bit unfriendly.  Users are encouraged to investigate the source
and create wrappers or new programs based on this design.

fm      - a simple tuner
fmscan  - a simple band scanner

%package tkradio
Summary:       Python/Tk wrapper for fmtools
Group:         Sound
BuildRequires: desktop-file-utils
Requires:      %{name} = %{version}
Requires:      notify-python
# Not available on RHEL6
Requires:      vorbis-tools tkinter alsa-utils
%if %{with pulse}
Requires:      pulseaudio-utils
BuildArch:     noarch
%endif

%description tkradio
This package provides a GUI for %{name}, with lirc support.
The stations are read from the same files used by fmcontrol,
and the lirc configuration file is in $HOME/.fmlircrc

The script fmcontrol.py saves one from remembering frequencies
and volumes when using the "fm" program from %{name}.
All that it does is to tune into a station specified by name, at the
frequency and volume specified in $HOME/.fmrc or $HOME/.radiostations,
or the volume given on the command line.

%prep
%setup -q -a1

%build
%configure
make %{_smp_mflags}

%install
make DESTDIR=%{buildroot} install
install -pm 0755 %{SOURCE2} %{buildroot}%{_bindir}/tkradio.tcl
install -pm 0755 %{SOURCE3} %{buildroot}%{_bindir}/tkradio-mute.tcl
install -pm 0755 %{SOURCE6} %{buildroot}%{_bindir}/tkradio.py
install -pm 0755 fmcontrol/fmcontrol %{buildroot}%{_bindir}/fmcontrol.py
install -pm 0644 fmcontrol/README README.fmcontrol

# menu entry
desktop-file-install                                    \
        --vendor ""                                     \
        --dir %{buildroot}%{_datadir}/applications      \
        %{SOURCE4}

install -Dpm 0644 %{SOURCE5} %{buildroot}%{_datadir}/pixmaps/radio.png
install -Dpm 0644 %{SOURCE7} %{buildroot}%{_datadir}/%{name}/fmlircrc
install -Dpm 0644 %{SOURCE8} %{buildroot}%{_datadir}/%{name}/radio.gif
# fix /bin/env shabang
sed -i -e s,'^#!/bin/env,#!/usr/bin/env,' `grep -Irl '^#!/bin/env[[:space:]]' %buildroot/usr/bin/`

%files 
%doc README COPYING
%{_bindir}/fm
%{_bindir}/fmscan
%{_mandir}/man1/fm**

%files tkradio
%doc README.fmcontrol fmcontrol/dot.*
%{_bindir}/tkradio*
%{_bindir}/fmcontrol.py
%{_datadir}/applications/fmtools.desktop
%{_datadir}/pixmaps/radio.png
%{_datadir}/%{name}/fmlircrc
%{_datadir}/%{name}/radio.gif

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_12
- update to new release by fcimport

* Tue Dec 25 2012 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_11
- initial fc import

